X
Tap here to go to the mobile version of the site.

Support Forum

My computer is old - Windows XP Professional, Service Pack 1. Can I update or is it not possible?

Posted

I keep getting a message that my Firefox needs updating, but as I understand it, the system is not supported. What will happen if I don't update? Is it possible to update an old computer like mine?

I keep getting a message that my Firefox needs updating, but as I understand it, the system is not supported. What will happen if I don't update? Is it possible to update an old computer like mine?

Additional System Details

Installed Plug-ins

  • getplusplusadobe16291
  • JInitiator 1.3.1.22 for Netscape Navigator (DLL Helper)
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Adobe PDF Plug-In For Firefox and Netscape 8.3.1
  • Default Plug-in
  • Shockwave Flash 10.1 r82
  • Next Generation Java Plug-in 1.6.0_23 for Mozilla browsers
  • Network Object Plugin
  • Npdsplay dll
  • Windows Multimedia Services DRM Store Plug-In

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.27) Gecko/20120216 Firefox/3.6.27

More Information

John99
  • Top 25 Contributor
  • Moderator
695 solutions 9603 answers

You would be better upgrading Firefox to Firefox 10.0.2

As for Windows XP I imagine it is still possible to upgrade at present, but you will not be able to do so for much longer.

You would be better upgrading Firefox to Firefox 10.0.2 As for Windows XP I imagine it is still possible to upgrade at present, but you will not be able to do so for much longer.
the-edmeister
  • Top 10 Contributor
  • Moderator
3900 solutions 29437 answers

Helpful Reply

Does that old PC meet Firefox 10 system requirements as far as the hardware specs?

http://www.mozilla.org/en-US/firefox/10.0/system-requirements/

   Pentium 4 or newer processor that supports SSE2
   512MB of RAM
   200MB of hard drive space

If not, maybe it's time for a new / newer PC?

If so, you really ought to install SP2 and SP3; you'll need to have at least SP2 in the near future for Firefox 12 and later.

Does that old PC meet Firefox 10 system requirements as far as the hardware specs? http://www.mozilla.org/en-US/firefox/10.0/system-requirements/ Pentium 4 or newer processor that supports SSE2 512MB of RAM 200MB of hard drive space If not, maybe it's time for a new / newer PC? If so, you really ought to install SP2 and SP3; you'll need to have at least SP2 in the near future for Firefox 12 and later.